de.dhbwstuttgart.typeinference.unify

## Class CSubstitutionSet

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.CSet<E>
  - - de.dhbwstuttgart.typeinference.unify.CVectorSet<CSubstitution>
    - - de.dhbwstuttgart.typeinference.unify.CSubstitutionSet

All Implemented Interfaces:
  java.lang.Iterable<CSubstitution>

    public class CSubstitutionSet
    extends CVectorSet<CSubstitution>

Version:
  $Date: 2013/03/27 18:29:34 $
Author:
  JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

### Constructor Summary

Constructors
Constructor and Description
`CSubstitutionSet()`
`CSubstitutionSet(Menge<Pair> unifiers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Type` `applyThisSubstitutionSet(Type type)`
`void` `applyUnifier(CSubstitutionSet unifier)` Wendet den Unifier auf die rechten Seiten alle Substitutionen an.
`CSubstitutionSet` `deepCopy()`
`java.util.Iterator<CSubstitution>` `iterator()`
`CSubstitutionSet` `shallowCopy()`

### Methods inherited from class de.dhbwstuttgart.typeinference.unify.CVectorSet

`addAll, addElement, contains, equals, getCardinality, getIterator, getMenge, removeElement, setMenge, subtract, unite`

### Methods inherited from class de.dhbwstuttgart.typeinference.unify.CSet

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### CSubstitutionSet

    public CSubstitutionSet()

#### CSubstitutionSet

    public CSubstitutionSet(Menge<Pair> unifiers)
                     throws CTypeReconstructionException

Throws:
  `CTypeReconstructionException`

### Method Detail

#### shallowCopy

    public CSubstitutionSet shallowCopy()

Specified by:
  `shallowCopy` in class `CSet<CSubstitution>`

#### deepCopy

    public CSubstitutionSet deepCopy()

Specified by:
  `deepCopy` in class `CSet<CSubstitution>`

#### applyUnifier

    public void applyUnifier(CSubstitutionSet unifier)

Wendet den Unifier auf die rechten Seiten alle Substitutionen an.
Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Parameters:
  `unifier` -

#### applyThisSubstitutionSet

    public Type applyThisSubstitutionSet(Type type)

#### iterator

    public java.util.Iterator<CSubstitution> iterator()